| 0.9.7

- Main Page
- Modules
- Files

- File List

Typedefs
vec1.hpp File Reference

Go to the source code of this file.

## Typedefs
typedef highp_bvec1 | bvec1
typedef highp_dvec1 | dvec1
typedef highp_bvec1_t | highp_bvec1
typedef highp_dvec1_t | highp_dvec1
typedef highp_ivec1_t | highp_ivec1
typedef highp_uvec1_t | highp_uvec1
typedef highp_ivec1 | ivec1
typedef lowp_bvec1_t | lowp_bvec1
typedef lowp_dvec1_t | lowp_dvec1
typedef lowp_ivec1_t | lowp_ivec1
typedef lowp_uvec1_t | lowp_uvec1
typedef mediump_bvec1_t | mediump_bvec1
typedef mediump_dvec1_t | mediump_dvec1
typedef mediump_ivec1_t | mediump_ivec1
typedef mediump_uvec1_t | mediump_uvec1
typedef highp_uvec1 | uvec1
typedef highp_vec1 | vec1

## Detailed Description

OpenGL Mathematics (glm.g-truc.net)

Copyright (c) 2005 - 2015 G-Truc Creation (www.g-truc.net) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

Restrictions: By making use of the Software for military purposes, you choose to make a Bunny unhappy.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

GLM_GTC_vec1

Date
  2010-02-08 / 2011-06-07

Author
  Christophe Riccio

See also
  GLM Core (dependence)

Definition in file vec1.hpp.